package com.fuyuanshen.app.mapper;

import com.fuyuanshen.app.domain.AppBusinessFile;
import com.fuyuanshen.app.domain.bo.AppBusinessFileBo;
import com.fuyuanshen.app.domain.vo.AppBusinessFileVo;
import com.fuyuanshen.app.domain.vo.AppFileVo;
import com.fuyuanshen.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * app业务文件Mapper接口
 *
 * @author Lion Li
 * @date 2025-07-03
 */
public interface AppBusinessFileMapper extends BaseMapperPlus<AppBusinessFile, AppBusinessFileVo> {

    List<AppFileVo> queryAppFileList(AppBusinessFileBo bo);
}
